//-----------------------------------------------------------------------
// File : main.cpp
// Desc : Main Entry Point
// Copyright(c) Project Asura All right reserved.
//-----------------------------------------------------------------------

//-----------------------------------------------------------------------
// History
//-----------------------------------------------------------------------
// <---> 2010/12/04 [Pocol] VK쐬.
// <End>

//-----------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------
#include "AsDemoApp.h"
#include "FpsRenderer.h"
#include "DeferredRenderer.h"


//-----------------------------------------------------------------------
// Using Statements
//-----------------------------------------------------------------------
using namespace Schaft::Asura::SampleProgram;


//-----------------------------------------------------------------------
// Forward Declarations
//-----------------------------------------------------------------------
/* NOTHING */


//-----------------------------------------------------------------------
// Global Variables
//-----------------------------------------------------------------------
/* NOTHING */


///----------------------------------------------------------------------
///<summary>
///CGg[|Cg
///</summary>
///<param name="argc">R}hC̐</param>
///<param name="argv">R}hC</param>
///<returns>VXe0ԋp</returns>
///----------------------------------------------------------------------
int main( int argc, char** argv )
{
	DeferredRenderer    deferredRenderer;
	FpsRenderer         fpsRenderer;

	DemoApp* pApp = DemoApp::GetInstance();
	pApp->SetTitle( "Deferred Rendering" );
	pApp->SetSize( 800, 600 );
	pApp->Register( &deferredRenderer );
	pApp->Register( &fpsRenderer );
	pApp->Run();

	return 0;
}

// End Of File.